[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TFPObservedOperation

Operation which is reported to an observer

## Declaration

Source position: classesh.inc line 162

`type TFPObservedOperation = (`
`ooChange,` |  | The observed object has changed.
`ooFree,` |  | The observed object is being freed.
`ooAddItem,` |  | An item is added to the observed object (generally a list).
`ooDeleteItem,` |  | An item is deleted from the observed object (generally a list).
`ooCustom` |  | Custom event.
`);`

## Description

TFPObservedOperation enumerates the possible operations that can be reported to an observer. Which of these operations is reported depends on the implementation of the observed object.

## See also

IFPObserved |  | Interface implemented by an object that can be observed.
IFPObserver |  | Interface for an object to observe other objects.

Documentation generated on: Feb 26 2014